%define name blam
%define version 1.8.8
%define release %mkrel 1
%define _requires_exceptions lib.*x11\\|lib.*gtk
Summary: RSS aggregator written in C# using Mono, GTK# and RSS.NET
Name: %{name}
Version: %{version}
Release: %{release}
Epoch: 1
Source0: http://blam.cmartin.tk/downloads/%{name}-%{version}.tar.bz2
Patch1: blam-1.8.4-desktopentry.patch
# gw add planet mandriva feed
Patch2: blam-1.8.6-planetmandriva.patch

License: GPLv2+
Group: Networking/Other
Url:  http://blam.cmartin.tk/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: mono-devel
BuildRequires: gnome-sharp2-devel
BuildRequires: gnome-desktop-sharp-devel
BuildRequires: glade-sharp2
BuildRequires: ndesk-dbus-glib-devel
BuildRequires: webkit-sharp-devel
BuildRequires: notify-sharp-devel
BuildRequires: imagemagick
BuildRequires: desktop-file-utils
BuildRequires: intltool
Requires(post): desktop-file-utils scrollkeeper
Requires(postun): desktop-file-utils scrollkeeper

%description
This is a GNOME RSS aggregator based on Mono.

%prep
%setup -q -n %name-%version
%patch1 -p1
%patch2 -p1 -b .planetmandriva

%build
./configure --prefix=%_prefix --sysconfdir=%_sysconfdir --disable-schemas-install
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
mkdir -p %buildroot{%_liconsdir,%_iconsdir,%_miconsdir}
cp icons/48x48/%name.png %buildroot%_liconsdir/%name.png
cp icons/32x32/%name.png %buildroot%_iconsdir/%name.png
cp icons/16x16/%name.png %buildroot%_miconsdir/%name.png

%find_lang %name

%if %mdkversion < 200900
%post
%update_scrollkeeper
%update_desktop_database
%post_install_gconf_schemas %name
%{update_menus}
%update_icon_cache hicolor
%endif

%preun
%preun_uninstall_gconf_schemas %name

%if %mdkversion < 200900
%postun
%{clean_menus}
%clean_scrollkeeper
%clean_desktop_database
%clean_icon_cache hicolor
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%_sysconfdir/gconf/schemas/%name.schemas
%_bindir/%name
%_prefix/lib/%name
%_datadir/applications/%name.desktop
%_datadir/%name
%_mandir/man1/blam.1*
%_iconsdir/hicolor/*/apps/*
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png


%changelog
* Thu Jun 02 2011 Götz Waschk <waschk@mandriva.org> 1:1.8.8-1mdv2011.0
+ Revision: 682439
- new version
- update URLs
- depend on notify-sharp

* Mon May 23 2011 Funda Wang <fwang@mandriva.org> 1:1.8.7-4
+ Revision: 677514
- rebuild to add gconftool-2 as req

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.8.7-3mdv2011.0
+ Revision: 610076
- rebuild

* Fri Dec 11 2009 Götz Waschk <waschk@mandriva.org> 1:1.8.7-2mdv2010.1
+ Revision: 476290
- rebuild for new webkit-sharp

* Sat Aug 22 2009 Götz Waschk <waschk@mandriva.org> 1:1.8.7-1mdv2010.0
+ Revision: 419670
- new version
- drop patches 0,4,5
- update build deps

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Thu Aug 21 2008 Götz Waschk <waschk@mandriva.org> 1:1.8.6-2mdv2009.0
+ Revision: 274635
- make it a noarch package
- fix schema uninstallation

* Thu Aug 21 2008 Funda Wang <fwang@mandriva.org> 1:1.8.6-1mdv2009.0
+ Revision: 274548
- New version 1.8.6
- switch to webkit backend
- rediff planetmandriva patch

* Thu Aug 21 2008 Götz Waschk <waschk@mandriva.org> 1:1.8.5-6mdv2009.0
+ Revision: 274543
- patch for new gnome-desktop-sharp
- update xulrunner patch

* Wed Jul 30 2008 Götz Waschk <waschk@mandriva.org> 1:1.8.5-5mdv2009.0
+ Revision: 255013
- fix build deps
- build with xulrunner
- update license

* Wed Jul 16 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.8.5-4mdv2009.0
+ Revision: 236417
- rebuilt for mozilla-firefox-2.0.0.16

* Thu Jul 03 2008 Tiago Salem <salem@mandriva.com.br> 1:1.8.5-3mdv2009.0
+ Revision: 231242
- Rebuild for firefox 2.0.0.15

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun Apr 20 2008 Götz Waschk <waschk@mandriva.org> 1:1.8.5-2mdv2009.0
+ Revision: 195862
- rebuild for new firefox

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 1:1.8.5-1mdv2009.0
+ Revision: 192436
- new version
- drop patch 3
- update buildrequires
- update file list

* Wed Mar 26 2008 Tiago Salem <salem@mandriva.com.br> 1:1.8.4-12mdv2008.1
+ Revision: 190333
- Rebuild for Firefox 2.0.0.13

* Sun Feb 10 2008 Götz Waschk <waschk@mandriva.org> 1:1.8.4-11mdv2008.1
+ Revision: 164939
- fix build with new gnome-sharp

  + Funda Wang <fwang@mandriva.org>
    - rebuild for new FF

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 12 2007 Götz Waschk <waschk@mandriva.org> 1:1.8.4-10mdv2008.1
+ Revision: 117682
- rebuild for new firefox

* Sat Nov 17 2007 Funda Wang <fwang@mandriva.org> 1:1.8.4-9mdv2008.1
+ Revision: 109295
- rebuild for new lzma

* Mon Nov 05 2007 Götz Waschk <waschk@mandriva.org> 1:1.8.4-8mdv2008.1
+ Revision: 106063
- rebuild for new firefox

* Wed Oct 24 2007 Götz Waschk <waschk@mandriva.org> 1:1.8.4-7mdv2008.1
+ Revision: 101783
- build without obsolete dbus-sharp

* Fri Oct 19 2007 Götz Waschk <waschk@mandriva.org> 1:1.8.4-6mdv2008.1
+ Revision: 100428
- rebuild for new firefox

* Thu Oct 18 2007 Götz Waschk <waschk@mandriva.org> 1:1.8.4-5mdv2008.1
+ Revision: 99900
- fix desktop entry

* Tue Jul 31 2007 Götz Waschk <waschk@mandriva.org> 1:1.8.4-5mdv2008.0
+ Revision: 57226
- rebuild


* Fri Mar 23 2007 Frederic Crozat <fcrozat@mandriva.com> 1.8.4-4mdv2007.1
+ Revision: 148648
- Force rebuild

* Fri Mar 23 2007 Götz Waschk <waschk@mandriva.org> 1:1.8.4-3mdv2007.1
+ Revision: 148363
- rebuild for new firefox

* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 1:1.8.4-2mdv2007.1
+ Revision: 126288
- rebuild for new firefox

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 1:1.8.4-1mdv2007.1
+ Revision: 106103
- new version
- drop patch 1

* Thu Dec 07 2006 Götz Waschk <waschk@mandriva.org> 1.8.3-2mdv2007.1
+ Revision: 92035
- fix detection of new firefox

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 1.8.3-1mdv2007.1
+ Revision: 88737
- new version
- new URL
- update patches 0,1
- drop patch 3
- add man page

* Fri Nov 24 2006 Götz Waschk <waschk@mandriva.org> 1.8.2-20061124.1mdv2007.1
+ Revision: 86898
- new snapshot
- fix firefox dep on lib64 arch
- update patch 3

* Thu Nov 09 2006 Götz Waschk <waschk@mandriva.org> 1.8.2-20061109.2mdv2007.1
+ Revision: 80069
- new snapshot
- fix syntax error in configure script
- fix mozilla dep
- Import blam

* Thu Nov 09 2006 Gtz Waschk <waschk@mandriva.org> 1.8.2-20060709.2mdv2007.1
- unpack patches
- rebuild for new firefox

* Fri Sep 29 2006 Gtz Waschk <waschk@mandriva.org> 1.8.2-20060709.1mdv2007.0
- add planet mandriva feed
- fix build with current api
- drop patch 1
- gtk-sharp2
- cvs snapshot

* Sat Sep 16 2006 Frederic Crozat <fcrozat@mandriva.com> 1.8.2-13mdv2007.0
- Rebuild with latest firefox

* Sat Aug 05 2006 Götz Waschk <waschk@mandriva.org> 1.8.2-1mdv2007.0
- rebuild for new firefox

* Sun Jul 30 2006 Gtz Waschk <waschk@mandriva.org> 1.8.2-11mdv2007.0
- new macros
- xdg menu
- rebuild for new firefox

* Sun Jun 04 2006 Gtz Waschk <waschk@mandriva.org> 1.8.2-10mdv2007.0
- Rebuild for new firefox

* Thu May 04 2006 Götz Waschk <waschk@mandriva.org> 1.8.2-9mdk
- rebuild for new firefox

* Sat Apr 22 2006 Götz Waschk <waschk@mandriva.org> 1.8.2-8mdk
- rebuild for new firefox

* Thu Apr 06 2006 Götz Waschk <waschk@mandriva.org> 1.8.2-7mdk
- fix mozilla-firefox dep

* Fri Feb 03 2006 Götz Waschk <waschk@mandriva.org> 1.8.2-6mdk
- rebuild for new mozilla-firefox

* Wed Jan 11 2006 Gtz Waschk <waschk@mandriva.org> 1.8.2-5mdk
- patch for new mozilla-firefox

* Fri Nov 11 2005 Gtz Waschk <waschk@mandriva.org> 1.8.2-4mdk
- fix buildrequires

* Wed Oct 26 2005 Götz Waschk <waschk@mandriva.org> 1.8.2-3mdk
- rebuild for new mozilla

* Sat Jul 30 2005 Gtz Waschk <waschk@mandriva.org> 1.8.2-2mdk
- build fix
- rebuild for new firefox

* Wed Jun 22 2005 Gtz Waschk <waschk@mandriva.org> 1.8.2-1mdk
- drop source 1
- new version

* Tue Jun 21 2005 Gtz Waschk <waschk@mandriva.org> 1.8.1-1mdk
- add forgotten files (source1)
- mkrel
- New release 1.8.1

* Thu May 26 2005 Gtz Waschk <waschk@mandriva.org> 1.8.0-3mdk
- rebuild for new firefox

* Thu May 19 2005 Gtz Waschk <waschk@mandriva.org> 1.8.0-2mdk
- fix buildrequires

* Tue May 10 2005 Gtz Waschk <waschk@mandriva.org> 1.8.0-1mdk
- fix build on x86_64
- New release 1.8.0

* Sat May 07 2005 Gtz Waschk <waschk@mandriva.org> 1.6.1-4mdk
- replace libdir by prefix/lib

* Thu Mar 24 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.1-3mdk 
- rebuild with latest firefox and change dependency (due to the way blam start)

* Wed Feb 23 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1-2mdk
- rebuild with firefox

* Sun Jan 09 2005 Goetz Waschk <waschk@linux-mandrake.com> 1.6.1-1mdk
- New release 1.6.1

* Wed Jan 05 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.6.0-3mdk
- rebuild

* Sun Nov 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.0-2mdk
- rebuild for new mozilla
- 10.0 build with firefox

* Mon Oct 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.6.0-1mdk
- we depend on gecko-sharp
- New release 1.6.0

* Sun Sep 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.4.1-1mdk
- drop patch
- New release 1.4.1

* Thu Sep 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.4.0-1mdk
- fix german translation
- new source URL
- New release 1.4.0

* Sat Aug 21 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.2.4-1mdk
- New release 1.2.4

* Tue Aug 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.3-1mdk
- fix docs listing
- New release 1.2.3

* Thu Aug 05 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.1-1mdk
- initial package

